﻿using System.Collections;
using System.Collections.Generic;
using HQF;
using UnityEngine;

public class BackgroundMaxPositionController : MonoBehaviour
{
    private BackgroundScript _backgroundScript;
    private bool _gravityApplied;
    private GameObject _player;
    private void Start()
    {
        _backgroundScript = FindObjectOfType<BackgroundScript>();
        _player = GameObject.Find("Player");
    }

    // Update is called once per frame
    private void Update()
    {
        
    }
    private void OnCollisionEnter(Collision collision)
    {
        if (!_gravityApplied) {
            _player.GetComponent<Rigidbody>().useGravity = true;
            _gravityApplied = true;
        }
        var parent = collision.gameObject.FindParentWithTag("Background");
        if (parent != null) {
            Vector3 pos = _backgroundScript.lastGameObject.transform.position;
            pos += new Vector3(
                _backgroundScript.lastGameObject.transform.localScale.x, 0, 0
            );
        
            _backgroundScript.lastGameObject = parent.gameObject;
            parent.transform.position = pos;
        }
    }
    
}
