﻿using System.Collections;
using System.Collections.Generic;
using System.Diagnostics.CodeAnalysis;
using System.Security.Cryptography.X509Certificates;
using UnityEngine;

public class BackgroundScript : MonoBehaviour
{
    public GameObject[] groundPrefabs;
    public int groundsToInstantiate = 10;
    public GameObject groundContainer;
    public Vector3 start;
    public GameObject lastGameObject;

    public float speed;

    private void Start()
    {
        Vector3 position = start;
        Vector3 toAdd = new Vector3(
            groundPrefabs[0].transform.localScale.x, 0, 0
        );
        var idx = 0;
        for (var i = 0; i < groundsToInstantiate; i++) {
            lastGameObject = Instantiate(
                groundPrefabs[idx], position, Quaternion.identity,
                groundContainer.transform);
            position += toAdd;
            idx = (idx + 1) % groundPrefabs.Length;
        }
    }

    private void Update()
    {
        Vector3 toAdd = new Vector3(speed * Time.deltaTime, 0, 0);
        foreach (Transform child in groundContainer.transform) {
            child.Translate(toAdd);
        }
    }
}